출근하여 우분투 업데이트를 해보니, 뭔가 심각한 메시지가 뜬다.
특정 OpenSSL 라이브러리 버전으로 만들어진 ssh key가 일정한 패턴이 있는 것인지, 반드시 테스트해야할 경고가 뜬다.

으윽...

$ ssh-vulnkey
Not blacklisted: 2048 7b:1f:5f:7a:c6:.....  /etc/ssh/ssh_host_rsa_key
Not blacklisted: 1024 d9:42:47:92:d6:.... /etc/ssh/ssh_host_dsa_key
COMPROMISED: 2048 7e:17:d2:36:.... /home/pynoos/.ssh/id_rsa.pub

아. 주로 사용하는 public key가 블랙리스트에 있단다.
리모트 서버의 public key가 블랙리스트에 있는지 확인하는 방법으로는 다음과 같다.
$ ssh-keyscan -t dsa,rsa 172.16.11.25 | ssh-vulnkey -
# 172.16.11.25 SSH-1.99-OpenSSH_3.5p1 FreeBSD-20030924
# 172.16.11.25 SSH-1.99-OpenSSH_3.5p1 FreeBSD-20030924
Not blacklisted: 1024 4c:4e:e1:fe:.... 172.16.11.25

다행이 회사에서 사용하는 다른 서버들의 public key는 안전한듯. 다들 점검하세요.
신고
크리에이티브 커먼즈 라이선스
Creative Commons License

+ Recent posts